Skip to main content
POST
/
projects
Create a new project
curl --request POST \
  --url https://api.withampersand.com/v1/projects \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "appName": "MailMonkey",
  "name": "mailmonkey-staging",
  "orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"
}
'
{
  "id": "proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
  "name": "mailmonkey-staging",
  "appName": "MailMonkey",
  "orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
  "createTime": "2023-11-07T05:31:56Z",
  "updateTime": "2023-11-07T05:31:56Z",
  "entitlements": {
    "brandingRemoval": {
      "value": true
    }
  }
}

Authorizations

X-Api-Key
string
header
required

Body

application/json
appName
string
required

The display name of your application, shown to end users during the connection flow.

Required string length: 1 - 128
Example:

"MailMonkey"

name
string
required

The unique name for the project. Must contain only letters, numbers, and hyphens. Values are normalized to lowercase on save.

Required string length: 2 - 128
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]$
Example:

"mailmonkey-staging"

orgId
string
required

The ID of the organization this project belongs to. Obtain this from the Ampersand Dashboard or by calling GET /orgs.

Example:

"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

Response

The newly created project.

id
string
required

The unique identifier for the project.

Example:

"proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

name
string
required

The unique name for the project.

Example:

"mailmonkey-staging"

appName
string
required

The display name of the application, shown to end users during the connection flow.

Example:

"MailMonkey"

orgId
string
required

The ID of the organization that this project belongs to.

Example:

"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

createTime
string<date-time>
required

The time the project was created.

updateTime
string<date-time>

The time the project was updated.

entitlements
object

Plan-based feature flags for the project. These are managed by Ampersand and cannot be set via the API.